from email.policy import default
from django.db import models
from django.utils import timezone
from django.template.defaultfilters import slugify

from core.models import Groupe as Clinique_GRP

SERILISATION = [
	('UNI', 'Unique'),
	('Par Service', 'Par Service'),
]

class Clinique(models.Model):
	CLIN_Nom = models.CharField("Nom de Clinique", max_length=64, unique=True)
	CLIN_Anag = models.CharField("Anagrame de Clinique", max_length=3, unique=True)
	CLIN_Serial = models.CharField("Type de Sérialisation", max_length=16, choices=SERILISATION, default='RAS')
	CLIN_Grp = models.ForeignKey(Clinique_GRP,verbose_name="Groupe de Clinique", blank = True, null = True, on_delete=models.PROTECT)
	
	def __str__(self):
		return self.CLIN_Nom

	class Meta:
		verbose_name = "Clinique"
		verbose_name_plural = "Cliniques"
		ordering = ['CLIN_Nom', ]
		
class Batiments(models.Model):
	BAT_Clin = models.ForeignKey(Clinique, on_delete=models.PROTECT)
	BAT_Nom = models.CharField("Nom du Batiments", max_length=64, unique=True)
	BAT_Anag = models.CharField("Anagrame du Batiments", max_length=2, unique=True)
	
	def __str__(self):
		return self.BAT_Nom

	class Meta:
		verbose_name = "Batiment"
		verbose_name_plural = "Batiments"
		
class Services(models.Model):
	SERVICE_Clin = models.ForeignKey(Clinique, on_delete=models.PROTECT)
	SERVICE_Nom = models.CharField("Nom du Service", max_length=64, unique=True)
	SERVICE_Anag = models.CharField("Anagrame du Service", max_length=2, unique=True)
		
	def __str__(self):
		return self.SERVICE_Nom

	class Meta:
		verbose_name = "Service"
		verbose_name_plural = "Services"
		ordering = ['SERVICE_Nom', ]

