import sys
from django.apps import AppConfig

class GestUserConfig(AppConfig):
	default_auto_field = 'django.db.models.BigAutoField'
	name = 'gest_user'
	verbose_name  = 'Gestion des Utilisateurs'

	def ready(self):

		if 'migrate' in sys.argv:
			return

		print("-- Démarage de la Gestion des Utilisateurs --")
		print(">> Vérification des variables d'environement")

		from core.models import Page
		print(">>> Check pages system")
		try :
			page = Page.objects.get(p_titre_slugify = "user")
		except :
			page = Page()

		page.p_titre = "Utilisateurs"
		page.p_titre_slugify = "user"
		page.p_icone = "fas fa-users"
		page.p_adresse = "/user"
		page.p_contenu = "Outils d'aide à la gestion des Utilisateurs de la clinique."
		page.p_description = "Outils d'aide à la gestion des Utilisateurs de la clinique."
		page.p_right = "<h3>Menu</h3><p><a href=\"/user/liste\" style=\"\">Liste des utilisateurs</a><br></p><p>Les applications métiers</p><p>Les fonctions</p>"
		page.p_publier = False
		page.p_menu_est_parent = True
		page.p_type = "sys"
		page.p_menu_position = "haut"
		page.p_menu_poid = 90

		page.save()
		tmp_parent_id = page
		
		try :
			page = Page.objects.get(p_titre_slugify = "liste-des-utilisateurs")
		except :
			page = Page()

		page.p_titre = "Liste des Utilisateurs"
		page.p_titre_slugify = "liste-des-utilisateurs"
		page.p_icone = "fas fa-address-book"
		page.p_adresse = "/user/liste"
		page.p_contenu = ""
		page.p_description = ""
		page.p_right = ""
		page.p_publier = True
		page.p_menu_position = "haut"
		page.p_menu_est_parent = False
		page.p_menu_parent = tmp_parent_id
		page.p_type = "sys"
		page.p_menu_poid = 90

		page.save()
