from django.urls import path, re_path
from django.views.generic import RedirectView, TemplateView

from . import views
from . import api 

urlpatterns = [

	path('maintenance/update', views.update, name='gest_user_update'),

	#api taches
	path('api/get_list', api.user_get_list, name='gest_user_api_user_get_list'),
	re_path('api/get/(?P<id>\d+)', api.user_get, name='gest_user_api_user_get'),
	re_path('api/get/to-email/(?P<id>\d+)', api.user_get_for_send, name='gest_user_api_user_get_for_send'),
	re_path('api/app/edit/(?P<id>\d+)', api.app_edit, name='gest_user_api_app_edit'),
	re_path('api/app/switch/(?P<id>\d+)', api.switch_app_status, name='gest_user_api_switch_app_status'),
	re_path('api/app/add/(?P<user_id>\d+)/(?P<app_id>\d+)', api.app_add, name='gest_user_api_app_add'),
	re_path('api/app/remove/(?P<id>\d+)', api.app_remove, name='gest_user_api_app_remove'),
	re_path('api/edit/(?P<id>\d+)', api.user_edit, name='gest_user_api_user_edit'),
	re_path('api/complete/(?P<id>\d+)', api.user_complete, name='gest_user_api_user_complete'),
	re_path('api/close/(?P<id>\d+)', api.user_close, name='gest_user_api_user_close'),

	# client
	path('liste', views.index, name='gest_user_index'),
	re_path('app/edit/(?P<id>\d+)', views.app_edit, name='gest_app_edit'),
	re_path('detail/(?P<id>\d+)', views.user_get, name='gest_user_get'),
	re_path('edit/(?P<id>\d+)', views.user_edit, name='gest_user_edit'),
]